tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From psalazar <pedro-b-sala...@ptinovacao.pt>
Subject Re: tomcat4+jdk1.4.1+security providers
Date Mon, 21 Oct 2002 15:18:45 GMT
I solved my problem:

I didn't put the sunjce_provider.jar in ${tomcat.home}/common/lib/ and I
must add the SunJCE provider hardcoded before use the DES algorithm.

java.security.Security.addProvider(new com.sun.crypto.provider.SunJCE());

The cool thing would be add the SunJCE provider (or other provider!!) in a
dynamic way without any hardcoded line adding the provider! It works but
only in a shell command line (probably because jre/lib/ext classpath and
other security features not defined in tomcat environment).

On Mon, 21 Oct 2002, psalazar wrote:

> Greetings,
> 
> I'm trying to use the security packages that are supported in jdk1.4 (no
> 
> need of JCE now) in tomcat environment.
> 
> In a test environment running a class test in a shell, I can access a
> DES
> algorithm and use cipher/decipher methods. But when I'm using my class
> in
> tomcat (catalina), I'm getting this error:
> 
> java.security.NoSuchAlgorithmException: Cannot find any provider
> supporting DES
> 
> Why? I'm using the same jvm in both contexts but unfortunately tomcat is
> blocking in somw way the access to the java.security providers. I'm not
> using the -security flag in catalina (but I already tried with no
> success).
> 
> Thanks,
> Pedro Salazar.
> 
> --
> pedro salazar (pt-inovacao) <pedro-b-salazar@ptinovacao.pt>
> 
> 


--
To unsubscribe, e-mail:   <mailto:tomcat-user-unsubscribe@jakarta.apache.org>
For additional commands, e-mail: <mailto:tomcat-user-help@jakarta.apache.org>


Mime
View raw message